# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gmodule-export-2.0) pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
%define fedora 19
Name:           lxmusic
Version:        0.4.4
Release:        alt1_9
Summary:        Lightweight XMMS2 client with simple user interface

Group:          Sound
License:        GPLv2+
URL:            http://lxde.org
Source0:        http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# As long as there are no plugins, disable the Tools menu
Patch0:         lxmusic-0.3.0-no-tools-menu.patch
Patch1:         lxmusic-0.4.4-libnotify-0.7.0.patch
# https://sourceforge.net/tracker/?func=detail&atid=894869&aid=3038938&group_id=180858
# Patch at http://paste.lisp.org/display/116965/1,1/raw
Patch2:         lxmusic-0.4.4-fix-segfault-in-xmmsv_get_int.patch

BuildRequires:  gtk2-devel >= 2.12.0 xmms2-devel >= 0.6
BuildRequires:  desktop-file-utils gettext intltool libnotify-devel
Requires:       xmms2 >= 0.7
Source44: import.info

%description
LXMusic is a very simple gtk+ XMMS2 client written in pure C. It has very few 
functionality, and can do nothing more than play the music. The UI is very 
clean and simple. This is currently aimed to be used as the default music 
player of LXDE (Lightweight X11 Desktop Environment) project.

%prep
%setup -q
%patch0 -p1 -b .no-tools
%patch2 -p1 -b .segfault-in-xmmsv_get_int
%if 0%{?fedora} >= 15
%patch1 -p1 -b .libnotify-0.7.0
%endif

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install                                       \
  --delete-original                                        \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications          \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/lxmusic.desktop
%{_datadir}/lxmusic
%{_datadir}/pixmaps/lxmusic.png


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1_9
- initial fc import

